/* LNSQTSkimmerView */

#import <Cocoa/Cocoa.h>
#import <QTKit/QTKit.h>


typedef enum {
	kLNSQTScrubDrag_None,
	kLNSQTScrubDrag_AlteringSelection,
	kLNSQTScrubDrag_BeginDraggingSelection,
} LNSQTScrubDragKind;


@interface LNSQTSkimmerView : NSView {
@private
	QTMovie*		mMovie;					// persistent
	float			mThumbnailScale;		// persistent
	QTTime			mDesiredCellDuration;	// persistent
	BOOL			mHighlightSelection;	// persistent

	QTTime			mCellDuration;
	NSTimeInterval	mCellDurationInterval;
	QTTime			mCurrentTime;
	QTTimeRange		mSelection;
	
	NSSize			mScaledMovieSize;
	QTTime			mMovieDuration;
	NSTimeInterval	mMovieDurationInterval;
	unsigned		mMovieFrameCount;
	unsigned		mCells;
	unsigned		mCellsPerRow;
	unsigned		mRows;
	QTTime			mSelectionStart;
	LNSQTScrubDragKind
					mDragKind;
	NSMutableDictionary*
					mCachedImages;
	NSMutableArray*	mImagesToLoad;
}

- (QTMovie*) movie;
- (void) setMovie:(QTMovie*) movie;

- (float) thumbnailScale;
- (void) setThumbnailScale:(float) newValue;

- (QTTime) cellDuration;
- (void) setCellDuration:(QTTime) time;

- (unsigned) cellDurationStep;
- (void) setCellDurationStep:(unsigned) step;

- (QTTimeRange) selection;
- (void) setSelection:(QTTimeRange) range;

- (QTTime) currentTime;
- (void) setCurrentTime:(QTTime) time;

- (BOOL) highlightSelection;
- (void) setHighlightSelection:(BOOL) newState;

@end
