//
//  MyDocument.m
//  QTPlay
//
//  Created by Mark Alldritt on 22/09/07.
//  Copyright __MyCompanyName__ 2007 . All rights reserved.
//

#import "MyDocument.h"
#import "LNSQTMovie.h"


@implementation MyDocument

- (id)init
{
    self = [super init];
    if (self) {
    
        // Add your subclass-specific initialization here.
        // If an error occurs here, send a [self release] message and return nil.
    
    }
    return self;
}

- (void) dealloc
{
	[mMovie release];
	[super dealloc];
}

- (NSString *)windowNibName
{
    // Override returning the nib file name of the document
    // If you need to use a subclass of NSWindowController or if your document supports multiple NSWindowControllers, you should remove this method and override -makeWindowControllers instead.
    return @"MyDocument";
}

- (void)windowControllerDidLoadNib:(NSWindowController *) aController
{
    [super windowControllerDidLoadNib:aController];
    // Add any code here that needs to be executed once the windowController has loaded the document's window.

	[mMovieView setFillColor:[NSColor blackColor]];
	[mMovieView setMovie:mMovie]; 
	[mMovieScrimmingView setMovie:mMovie];
}

- (void) removeWindowController:(NSWindowController*) windowController
{
	[mMovieThumbnailScale unbind:@"value"];
	[mMovieTimeScale unbind:@"value"];
	[mHighlightSelection unbind:@"value"];
	
	[super removeWindowController:windowController];
}

- (NSData *)dataRepresentationOfType:(NSString *)aType
{
    // Insert code here to write your document from the given data.  You can also choose to override -fileWrapperRepresentationOfType: or -writeToFile:ofType: instead.
    
    // For applications targeted for Tiger or later systems, you should use the new Tiger API -dataOfType:error:.  In this case you can also choose to override -writeToURL:ofType:error:, -fileWrapperOfType:error:, or -writeToURL:ofType:forSaveOperation:originalContentsURL:error: instead.

    return nil;
}

- (BOOL) readFromURL:(NSURL*) absoluteURL ofType:(NSString*) typeName error:(NSError**) outError
{
	LNSQTMovie* movie = [[[LNSQTMovie alloc] initWithURL:absoluteURL error:outError] autorelease];
	
	if (movie)
	{
		[mMovie release];
		mMovie = [movie retain];
		[mMovieView setMovie:mMovie];
		[mMovieScrimmingView setMovie:mMovie];
		return YES;
	}
	else
		return NO;
}

@end
