//
//  NSImage-LNSAdditions.m
//  QTPlay
//
//  Created by Mark Alldritt on 24/09/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "NSIMage-LNSAdditions.h"


@implementation NSImage (LNSAdditions)

- (NSImage*) scaledImageWithSize:(NSSize) newSize
{
	if (!NSEqualSizes(newSize, [self size]))
	{
		NSImage* scaledImage = [[[NSImage alloc] initWithSize:newSize] autorelease];
		NSRect r = NSMakeRect(0.0, 0.0, newSize.width, newSize.height);

		[scaledImage setFlipped:[self isFlipped]];
		[scaledImage lockFocus];
		{
			//	This code scales the image properly.
			[[NSGraphicsContext currentContext] setImageInterpolation:NSImageInterpolationHigh];
			
			NSImageRep* imageRep = [self bestRepresentationForDevice:nil];
			[imageRep drawInRect:r];
		}
		[scaledImage unlockFocus];

		return scaledImage;
	}
	else
		return self;
}

@end
